org.apache.geode.cache.configuration

## Class CacheConfig.GatewayReceiver

- java.lang.Object
- - org.apache.geode.cache.configuration.CacheConfig.GatewayReceiver

- Enclosing class:
    CacheConfig

      public static class CacheConfig.GatewayReceiver
      extends java.lang.Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="gateway-transport-filter" type="{http://geode.apache.org/schema/cache}class-with-parameters-type" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="start-port" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="end-port" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="bind-address" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="maximum-time-between-pings" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="socket-buffer-size" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="hostname-for-senders" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="manual-start" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `bindAddress`
    `protected java.lang.String` | `endPort`
    `protected java.util.List<ClassWithParametersType>` | `gatewayTransportFilter`
    `protected java.lang.String` | `hostnameForSenders`
    `protected java.lang.Boolean` | `manualStart`
    `protected java.lang.String` | `maximumTimeBetweenPings`
    `protected java.lang.String` | `socketBufferSize`
    `protected java.lang.String` | `startPort`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GatewayReceiver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBindAddress()` Gets the value of the bindAddress property.
    `java.lang.String` | `getEndPort()` Gets the value of the endPort property.
    `java.util.List<ClassWithParametersType>` | `getGatewayTransportFilter()` Gets the value of the gatewayTransportFilter property.
    `java.lang.String` | `getHostnameForSenders()` Gets the value of the hostnameForSenders property.
    `java.lang.String` | `getMaximumTimeBetweenPings()` Gets the value of the maximumTimeBetweenPings property.
    `java.lang.String` | `getSocketBufferSize()` Gets the value of the socketBufferSize property.
    `java.lang.String` | `getStartPort()` Gets the value of the startPort property.
    `java.lang.Boolean` | `isManualStart()` Gets the value of the manualStart property.
    `void` | `setBindAddress(java.lang.String value)` Sets the value of the bindAddress property.
    `void` | `setEndPort(java.lang.String value)` Sets the value of the endPort property.
    `void` | `setHostnameForSenders(java.lang.String value)` Sets the value of the hostnameForSenders property.
    `void` | `setManualStart(java.lang.Boolean value)` Sets the value of the manualStart property.
    `void` | `setMaximumTimeBetweenPings(java.lang.String value)` Sets the value of the maximumTimeBetweenPings property.
    `void` | `setSocketBufferSize(java.lang.String value)` Sets the value of the socketBufferSize property.
    `void` | `setStartPort(java.lang.String value)` Sets the value of the startPort property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### gatewayTransportFilter

          protected java.util.List<ClassWithParametersType> gatewayTransportFilter

    - #### startPort

          protected java.lang.String startPort

    - #### endPort

          protected java.lang.String endPort

    - #### bindAddress

          protected java.lang.String bindAddress

    - #### maximumTimeBetweenPings

          protected java.lang.String maximumTimeBetweenPings

    - #### socketBufferSize

          protected java.lang.String socketBufferSize

    - #### hostnameForSenders

          protected java.lang.String hostnameForSenders

    - #### manualStart

          protected java.lang.Boolean manualStart

  - ### Constructor Detail

    - #### GatewayReceiver

          public GatewayReceiver()

  - ### Method Detail

    - #### getGatewayTransportFilter

          public java.util.List<ClassWithParametersType> getGatewayTransportFilter()

      Gets the value of the gatewayTransportFilter property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the gatewayTransportFilter property.

      For example, to add a new item, do as follows:

           getGatewayTransportFilter().add(newItem);

      Objects of the following type(s) are allowed in the list `ClassWithParametersType`

    - #### getStartPort

          public java.lang.String getStartPort()

      Gets the value of the startPort property.
      Returns:
        possible object is `String`

    - #### setStartPort

          public void setStartPort(java.lang.String value)

      Sets the value of the startPort property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndPort

          public java.lang.String getEndPort()

      Gets the value of the endPort property.
      Returns:
        possible object is `String`

    - #### setEndPort

          public void setEndPort(java.lang.String value)

      Sets the value of the endPort property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBindAddress

          public java.lang.String getBindAddress()

      Gets the value of the bindAddress property.
      Returns:
        possible object is `String`

    - #### setBindAddress

          public void setBindAddress(java.lang.String value)

      Sets the value of the bindAddress property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMaximumTimeBetweenPings

          public java.lang.String getMaximumTimeBetweenPings()

      Gets the value of the maximumTimeBetweenPings property.
      Returns:
        possible object is `String`

    - #### setMaximumTimeBetweenPings

          public void setMaximumTimeBetweenPings(java.lang.String value)

      Sets the value of the maximumTimeBetweenPings property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSocketBufferSize

          public java.lang.String getSocketBufferSize()

      Gets the value of the socketBufferSize property.
      Returns:
        possible object is `String`

    - #### setSocketBufferSize

          public void setSocketBufferSize(java.lang.String value)

      Sets the value of the socketBufferSize property.
      Parameters:
        `value` - allowed object is `String`

    - #### getHostnameForSenders

          public java.lang.String getHostnameForSenders()

      Gets the value of the hostnameForSenders property.
      Returns:
        possible object is `String`

    - #### setHostnameForSenders

          public void setHostnameForSenders(java.lang.String value)

      Sets the value of the hostnameForSenders property.
      Parameters:
        `value` - allowed object is `String`

    - #### isManualStart

          public java.lang.Boolean isManualStart()

      Gets the value of the manualStart property.
      Returns:
        possible object is `Boolean`

    - #### setManualStart

          public void setManualStart(java.lang.Boolean value)

      Sets the value of the manualStart property.
      Parameters:
        `value` - allowed object is `Boolean`